@charset "utf-8";

nav{
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    margin: 0 auto;
    z-index: 10;
}

.fixed-nav{
    background-color: #fff;
    position: fixed;
    transition: top 0.2s ease-in-out;
}

.menus{
    width: fit-content;
    display: table;
    margin: 0 auto;
}

a{
    text-decoration: none;
}

.fixed-menu{
    margin: 0 auto;
    vertical-align: middle;
}

.menu{
    display: inline-block;
    width: 120px;
    margin: 0;
    color: #FFF;
    font-size: 16px;
    text-align: center;
    vertical-align: middle;
}

.fixed-nav .menu{
    display: inline-block;
    width: 90px;
    margin: 0;
    color: #000;
    font-size: 12px;
    text-align: center;
    vertical-align: middle;
}

.menu-up { 
    top: -150px
}

.logo{
    display: inline-block;
    width: 150px;
    height: 150px;
    background-image: url(../image/MDH_name_white.svg);
    background-size: contain;
    background-clip: content-box;
    cursor: pointer;
}

.logo img{
    width: 150px;
    vertical-align: top;
}

.fixed-nav .logo{
    width: 100px;
    height: 100px;
}

.fixed-nav .logo img{
    width: 100px;
    vertical-align: top;
}

.reservation{
    z-index: 100;
    display: block;
    position: fixed;
    right: 30px;
    width: 130px;
    height: 130px;
    background-color: #f6bf01;
    cursor: pointer;
    top: 100%;
    transform: translateY(-160px);
    transition: top 0.5s ease-in-out,
                transform 0.5s ease-in-out,
                width 0.5s ease-in-out,
                height 0.5s ease-in-out;
}

.reservation-up{
    top: 0;
    width: 100px;
    height: 100px;
    transform: none;
}

.reservation span{
    display: block;
    padding-top: 30%;
    color: #000;
    font-size: 28px;
    text-align: center;
    font-weight: bold;
    opacity: 0;
    transition: opacity 0.2s linear;
}

.reservation-up span{
    font-size: 22px;
}

.reservation:hover span{
    opacity: 1;
}

.reservation .bell{
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    opacity: 1;
    background-image: url(../image/reservation.svg);
    background-size: cover;
    transition: opacity 0.2s linear;
}

.reservation:hover .bell{
    opacity: 0;
}

.reservation-window{
    position: fixed;
    z-index: 110;
    right: -100%;
    background-color: #ffffff;
    width: 100%;
    height: 100%;
    transition: right 0.5s ease-in-out;
    overflow-y: auto;
    font-family: -apple-system, BlinkMacSystemFont, AppleSDGothicNeo-Regular, 'Malgun Gothic', '맑은 고딕', dotum, '돋움', 'Segoe UI', Helvetica, Arial, sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol';
    font-size: 14px;
    color: #5c5c5c;
}

.reservation-window p, .reservation-window b, .reservation-window div, .reservation-window i, .reservation-window span, small, .reservation-window h1, .reservation-window h2, .reservation-window h3, .reservation-window h4, .reservation-window h5, .reservation-window h6 {
    vertical-align: baseline;
}

.reservation-window-open{
    right: 0;
}

.reservation-menu{
    position: relative;
    margin: 50px 50px;
    height: 30px;
}

.close-button{
    /* position: absolute; */
    display: block;
    float: left;
    z-index: 40;
    /* left: 50px;
    top: 50px; */
    cursor: pointer;
    opacity: 0;
    transition: opacity 0.5s ease-in-out;
}

.reservation-menu ul{
    display: block;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    text-align: center;
    width: 80%;
}

.reservation-menu ul li{
    display: inline-block;
    text-align: center;
    font-size: 16px;
    margin: 0 20px;
    width: 110px;
    font-weight: lighter;
}

/* .book-info-wrap{
    margin: 60px auto;
}

.book-info-wrap em{
    color: red;
}

.section-title{
    font-weight: lighter;
    letter-spacing: 3px;
    margin: 60px 0;
    text-align: center;
    font-size: 25px;
}

.bookinfo-col{
    display: inline-block;
    width: 49%;
    vertical-align: top !important;
}

.bookinfo-col:first-of-type{
    margin-right: 5px;
}

.bookinfo-col:last-child{
    margin-left: 5px;
}

.bookinfo-col ul{
    list-style-type: disc;
    list-style-position: outside;
}

.bookinfo-col li{
    line-height: 1.5;
    font-size: 13px;
    margin-left: 20px;
}

.bookinfo-title{
    margin: 0 0 20px 20px;
    font-weight: lighter;
    font-size: 18px;
}

.reservation-table{
    width: 100%;
}

.reservation-table th, .reservation-table td{
    text-align: center;
    height: 34px;
    font-size: 13px;
    border: 1px solid #e0e0e0;
}

.reservation-table th{
    background-color: #f7f7f7;
}

.text-right{
    margin-top: 10px;
    font-size: 12px;
    text-align: right;
}

.menu-item a{
    cursor: pointer;
}

.menu-item a:hover {
    color: #acacac;
} */

/* .reservation-tab-wrap{
    display: none;
    margin: 0 auto;
    padding: 0 50px 50px;
    max-width: 1000px;
}

.reservation-tab-wrap.active{
    display: block;
}

.x-bookable .x-accommodation.x-calendar-roomtype .x-calendar-roomtype-roominfo-status.x-calendar-roomtype-roominfo-status-closed:before {
    border: 1px solid #fa7268 !important;
    color: #FA7268 !important;
}

.reservation-window-open .close-button{
    opacity: 1;
}

.reservation-modal{
    display: none;
    z-index: 1500;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}

.reservation-modal::before{
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.3);
}

.no-scroll{
    width: 100%;
    height: 100%;
    position: fixed;
    overflow: hidden;
}

@supports (backdrop-filter: blur(5px)){
    .reservation-modal::before{
        backdrop-filter: blur(3px);
    }
}

.modal-window{
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 290px;
    height: 180px;
    background-color: #f3f3f3;
    border-radius: 16px;
    -moz-border-radius: 16px;
    -webkit-border-radius: 16px;
}

.modal-window strong{
    color: #000;
    text-align: center;
    display: block;
    margin: 20px auto 10px;
    font-size: 18px;
    font-weight: 600;
}

.modal-window p{
    color: #000;
    text-align: center;
    font-size: 13px;
    line-height: 17px;
}

.modal-button-wrap{
    display: table;
    position:fixed;
    width: 100%;
    height: 46px;
    bottom: 0;
    left: 0;
    right: 0;
    border-top: 1px solid #d8d8d8;
}

.modal-button{
    cursor: pointer;
    font-size: 15px;
    display: table-cell;
    width: 50%;
    color: #0179ff;
    text-align: center;
    vertical-align: middle !important;
}
.modal-button:first-child{
    border-right: 1px solid #d8d8d8;
}

.modal-button:last-child{
    font-weight: bold;
}

.reservation-logo{
    display: block;
    position: absolute;
    top: -6px;
    right: 0;
    height: 30px;
    cursor: pointer;
}

.reservation-footer-wrap{
    box-sizing: border-box;
    background-color: #343434;
    width: 100%;
}

.reservation-footer-wrap .footer-contents{
    vertical-align: middle;
}

.reservation-footer-wrap .footer-logo{
    width: 90px;
    display: inline-block;
    margin-right: 50px;
    vertical-align: baseline;
}

.reservation-footer-wrap .footer-info-wrap{
    display: inline-block;
    vertical-align: baseline;
}

.reservation-footer-wrap .footer-info{
    display: inline-block;
    color: #b5afab;
    text-align: left;
    margin: 30px 0;
}

.reservation-footer-wrap .footer-info p{
    line-height: 1.5 !important;
}

.reservation-footer-wrap .footer-info h3{
    margin-bottom: 20px;
    font-weight: bold;
    font-size: 20px;
}

.booking-system-wrap{
    max-width: 1100px;
    width: 80%;
    height: 80%;
    margin: 0 auto 30px;
}

.sweet-alert .sa-confirm-button-container {
    vertical-align: initial;
} */

.hidden-menu{
    display: none;
}

.nav-small{
    display: none;
}

.nav-small .logo{
    position: absolute;
    width: 150px;
    height: 150px;
    left: 50%;
    transform: translateX(-50%);
    transition: left 0.4s ease-in-out;
    background: none;
}

.logo.active{
    left: 80% !important;
}

.menu-trigger {
    display: inline-block;
    z-index: 100;
    margin: 32px 32px;
    cursor: pointer;
}

.menu-trigger.active{
    position: fixed;
}

.menu-trigger,
.menu-trigger span {
    display: inline-block;
    transition: all 0.4s ease-in-out;
    box-sizing: border-box;
}

.menu-trigger {
    position: relative;
    width: 50px;
    height: 44px;
}

.menu-trigger span {
    position: absolute;
    left: 0;
    width: 100%;
    height: 4px;
    background-color: #fff;
    border-radius: 4px;
}

.menu-trigger span:nth-of-type(1) {
    top: 0;
}

.menu-trigger span:nth-of-type(2) {
    top: 20px;
}

.menu-trigger span:nth-of-type(3) {
    bottom: 0;
}    

.menu-trigger.active span{
    background-color: #000;
}

.menu-trigger.active span:nth-of-type(1) {
    -webkit-transform: translateY (20px) rotate (-45deg);
    transform: translateY(20px) rotate(-45deg);
}

.menu-trigger.active span:nth-of-type(2) {
    opacity: 0;
}

.menu-trigger.active span:nth-of-type(3) {
    -webkit-transform: translateY(-20px) rotate(45deg);
    transform: translateY(-20px) rotate(45deg);
}

.hidden-menu{
    display: none;
    z-index: 101;
    position: fixed;
    top: 0;
    left: -320px;
    width: 320px;
    height: 100vh;
    background-color: #fff;
    transition: left 0.4s ease-in-out;
}

.hidden-menu ul{
    position: absolute;
    top: 108px;
}

.hidden-menu li{
    box-sizing: border-box;
}

.hidden-menu ul:first-child{
    border-top: 1px solid #E6EAEA;
}

.hidden-menu .hidden-menu-link{
    display: block;
    box-sizing: inherit;
    width: 320px;
    padding: 24px 36px;
    font-size: 17px;
    text-align: left;
    color: black;
    border-bottom: 1px solid #E6EAEA;
    transition: background-color 0.4s ease-in-out;
}

.hidden-menu .hidden-menu-link:hover{
    background-color: #fff7d9;
}

.hidden-menu.active{
    left: 0;
}

.hidden-menu-blind{
    z-index: 100;
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0);
    transition: background-color 0.4s ease-in-out;
    pointer-events: none;
}

.hidden-menu-blind.active{
    background-color: rgba(0, 0, 0, 0.6);
    pointer-events: auto;
}

.fixed-nav-small{
    z-index: 10;
    display: none;
    height: 100px;
    background-color: #fff;
    position: fixed;
    transition: top 0.2s ease-in-out;
}

.fixed-nav-small .menu-trigger{
    margin: 28px 28px;
}

.fixed-nav-small .logo{
    background: none;
    width: 50px;
    height: 100px;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    transition: left 0.4s ease-in-out;
}

.fixed-nav-small .menu-trigger span {
    position: absolute;
    left: 0;
    width: 100%;
    height: 4px;
    background-color: #000;
    border-radius: 4px;
}

@media screen and (max-width: 1024px){
    nav{
        display: none;
    }

    .nav-small{
        display: block;
    }
    
    .hidden-menu{
        display: block;
    }

    .fixed-nav-small{
        display: block;
    }

    .hidden-menu-blind{
        display: block;
    }

    .hidden-m{
        display: none;
    }
}

@media screen and (max-width: 768px){
    .reservation{
        width: 100px;
        height: 100px;
        right: 15px;
        transform: translateY(-115px);
    }

    .reservation-up{
        width: 60px;
        height: 60px;
        transform: none;
    }
    
    .reservation span{
        font-size: 24px
    }

    .reservation-up span{
        font-size: 14px
    }

    /* .reservation-menu{
        margin: 15px 15px;
    }

    .reservation-menu ul li{
        font-size: 14px;
        margin: 0 6px;
        width: 75px;
    }

    .reservation-tab-wrap{
        padding: 0 10px;
    }

    .x-bookable .x-accommodation.x-calendar .x-calendar-body table td.x-calendar-mutedday span.x-calendar-day, .x-bookable .x-accommodation.x-calendar .x-calendar-body table td.x-calendar-pastdate span.x-calendar-day {
        text-decoration: line-through;
        text-decoration-thickness: 2px;
    }

    .bookinfo-col{
        display: inline-block;
        width: 100%;
    }

    .bookinfo-col:first-of-type
    {
        margin-right: 0;
    }

    .bookinfo-col:last-child
    {
        margin-top: 25px;
        margin-left: 0;
    } */

    .menu-trigger{
        margin: 13px 15px;
        width: 40px;
        height: 34px;
    }

    .menu-trigger span{
        height: 4px;
    }

    .menu-trigger span:nth-of-type(2){
        top: 15px;
    }

    .menu-trigger.active span:nth-of-type(1){
        transform: translateY(15px) rotate(-45deg);
    }

    .menu-trigger.active span:nth-of-type(3){
        transform: translateY(-15px) rotate(45deg);
    }

    .nav-small .logo{
        width: 150px;
        height: 150px;
    }

    .fixed-nav-small{
        height: 60px;
    }

    .fixed-nav-small .menu-trigger{
        margin: 13px 15px;
    }

    .fixed-nav-small .logo{
        margin-top: 7px;
        width: 46px;
        height: 46px;
    }

    .hidden-menu ul{
        top: 80px;
    }

    .hidden-s{
        display: none;
    }

    /* .reservation-footer-wrap{
        margin: 10px 0;
    }
    
    .reservation-footer-wrap .footer-contents{
        vertical-align: middle;
    }
    
    .reservation-footer-wrap .footer-logo{
        width: 70px;
        display: block;
        margin: 0 auto;
        padding: 30px 0;
    }
    
    .reservation-footer-wrap .footer-info-wrap{
        display: block;
    }
    
    .reservation-footer-wrap .footer-info{
        display: block;
        color: #b5afab;
        text-align: center;
        margin: 0 auto;
    }

    .reservation-footer-wrap .footer-info:last-of-type{
        padding-bottom: 30px;
    } */
}